<!DOCTYPE html>
<html lang="en">
<head>
    <script src="{{ csset('/js/components/screen-size.js') }}"></script>
    <?php
    // used for RESS
    // if ( !Cookie::has('resolution') ) // doesn't work
    if ( !isset( $_COOKIE['screenWidth'] ) || !isset( $_COOKIE['screenHeight']) )
    {
    ?>
        <script>get_screen_size()</script>
    <?php
    }
    ?>

    <script src="{{ csset('/js/plugins/vue/vue@2.6.11.js') }}"></script>
    <!--=====================================
                    META TAG PART START
        =======================================-->
    <!-- REQUIRE META -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- AUTHOR META -->
    <meta name="SolutionType" content="dbrshop">
    <meta name="ThemeType" content="nawame">
    <meta name="author" content="nawame">
    <meta name="email" content="wngur6076@naver.com">
{{--    <meta name="profile" content="https://themeforest.net/user/mironcoder">--}}

    <!-- TEMPLATE META -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
{{--    <meta name="name" content="Greeny">--}}
{{--    <meta name="title" content="Greeny - eCommerce HTML Template">--}}
{{--    <meta name="keywords" content="organic, food, shop, ecommerce, store, html, bootstrap, template, agriculture, vegetables, webshop, farm, grocery, natural, online store">--}}
    <!--=====================================
                    META-TAG PART END
        =======================================-->

    @stack('meta')
    <!-- WEBPAGE TITLE -->
    <title>@yield('title', env('APP_NAME'))</title>

    <!-- FAVICON -->
    <link rel="icon" href="{{ msset(env('FAVICON_PATH')) }}">

    @php $basePath = '/themes/pro/nawame/resources'; @endphp

    @include('views.partial.site.meta', [ 'basePath' => $basePath ])
    @include('views.partial.site.scripts', [ 'basePath' => $basePath ])

    @stack('css')
</head>
<body>
    <div class="backdrop"></div>
    <a class="backtop fas fa-arrow-up" href="#"></a>

    @include('layouts.js-lang')
    @include('vendor.lara-izitoast.toast')

    <div id="quick-launcher"></div>

    @include('views.layouts.header')

    <div id="app">
        @yield('content')
    </div>

{{--    @include('views.layouts.news-part', [ 'basePath' => $basePath ])--}}
    @include('views.layouts.footer')

    <div id="element_in_which_to_insert">
        @yield('modal')
        @stack('modal')
    </div>

    @yield('js')
    @stack('js')
</body>

<script>
    window.env = (@json($_ENV));
    window.Member = @json(session('member'));
    window.CodeTitle = @json($codeTitle ?? '');
</script>

</html>





