@inject('callApiService', 'App\Services\CallApiService')
<!--=====================================
                        MOBILE-MENU PART START
            =======================================-->
<div class="mobile-menu" id="mobile-menu">
    <a href="{{ route('index') }}" title="Home Page">
        <i class="fas fa-home"></i>
        <span>Home</span>
    </a>
    <button class="cate-btn" title="Category List">
        <i class="fas fa-list"></i>
        <span>category</span>
    </button>
    <button class="cart-btn" title="Cartlist">
        <i class="fas fa-shopping-basket"></i>
        <span>cartlist</span>
        <sup class="cart-item-num">@{{ cartCount }}</sup>
    </button>
	<a href="{{ route('wish-list.index') }}" title="Wishlist">
        <i class="fas fa-heart"></i>
        <span>wishlist</span>
        <sup class="wish-item-num">@{{ wishCount }}</sup>
    </a>
	<!--
    <a href="compare.html" title="Compare List">
        <i class="fas fa-random"></i>
        <span>compare</span>
        <sup>0</sup>
    </a>
	-->
</div>
<!--=====================================
                    MOBILE-MENU PART END
        =======================================-->

<script>
    var mobileMenu = new Vue({
        el: '#mobile-menu',

        data: function () {
            return {
                wishCount: 0,
                cartCount: 0,
            };
        },
    })

    var headerPart = new Vue({
        el: '#header-part',

        data: function () {
            return {
                headerPart: @json($headerPart),
                wishCount: 0,
                cartCount: 0,
            };
        },

        created () {
            this.getHeaderPartCount()
        },

        methods: {
            getHeaderPartCount: function () {
                const wishList = this.headerPart['Book'][0]['Page'] ?? []
                const cartList = this.headerPart['Book'][1]['Page'] ?? []

                this.wishCount = mobileMenu.wishCount = wishList.length
                this.cartCount = mobileMenu.cartCount = cartList.length
            },

            setCartCount: function (count) {
                this.cartCount = mobileMenu.cartCount = count
            },

            updateHeaderPart: async function () {
                const headerPart = await get_api_data('list-type1-book', {
                    Book: [
                        {
                            QueryVars: {
                                QueryName: 'pro:shop/wish',
                                SubSimpleFilter: "image_type = 'thumb'",
                                IsntPagination: true,
                            },
                            PageVars: {
                                Limit: 100000
                            }
                        },
                        {
                            QueryVars: {
                                QueryName: 'point2u::pro:shop/cart',
                                SubSimpleFilter: "image_type = 'thumb'",
                                IsntPagination: true,
                            },
                            PageVars: {
                                Limit: 100000
                            }
                        }
                    ]
                })

                this.headerPart = headerPart['data']
                this.getHeaderPartCount()
            }
        }
    });
</script>
