@extends('views.layouts.master')

<link rel="stylesheet" href="{{ csset('/themes/pro/nawame/resources/css/product-details.css') }}">


@section('content')

@php
    $itemThmMedia[0] = array_merge($listType1Book['Book'][1]['Page'][0] ?? [], [ 'MediaId' => $itemDetails['C1'] ]);
    $preItem = $listType1Book['Book'][3]['Page'];
    $nextItem = $listType1Book['Book'][4]['Page'];
    $refund = $listType1Book['Book'][6]['Page'][0];

@endphp


@push('meta')
    <x-seo-meta-component :metas="$itemDetails['C10']" />
@endpush

<!--=====================================
                    BANNER PART START
        =======================================-->
<section class="single-banner inner-section products_tit">
    <div class="container">
        @php
            $breadcrumbCnt = count($breadcrumb) - 1
        @endphp
        <h2 class="dbr-item-category">{{ $breadcrumb[$breadcrumbCnt]['MenuName'] }}</h2>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/">Home</a></li>
            @foreach($breadcrumb as $i => $menu)
                @if($i !== $breadcrumbCnt)
                    <li class="breadcrumb-item active" aria-current="page">
                        <a href="{{ $menu['PageUri'] }}">{{ $menu['MenuName'] }}</a>
                    </li>
                @endif
            @endforeach
        </ol>
    </div>
</section>
<!--=====================================
                    BANNER PART END
        =======================================-->

<!--=====================================
                PRODUCT DETAILS PART START
        =======================================-->
<section class="inner-section shop detail" id="item-details">
  <div class="container">
    <div class="row">
      <div class="col-lg-6">
        <div class="details-gallery">
          <div class="details-label-group d-flex flex-row">
              @forelse($listType1Book['Book'][10]['Page'] ?? [] as $badge)
                <div class="mr-1">
                    <label class="details-label {{ $badge['C5'] }}">
                        {{ $badge['C3'] }}
                    </label>
                </div>
              @empty
              @endforelse
          </div>
          <ul class="details-preview">
          @forelse ($itemThmMedia ?? [] as $itemThm)
              @foreach(['MediaId', 'C1', 'C2', 'C3', 'C4', 'C5'] as $index => $key)
                  @if(isset($itemThm[$key]) && $itemThm[$key] !== '')
                    <li><img class="dbr-image-preview" src="{{ env('MEDIA_URL') . $itemThm[$key] }}" alt="product"></li>
                  @endif
              @endforeach
          @empty
          @endforelse
          </ul>
          <ul class="details-thumb">
              @forelse ($itemThmMedia ?? [] as $itemThm)
                  @foreach(['MediaId', 'C1', 'C2', 'C3', 'C4', 'C5'] as $index => $key)
                      @if(isset($itemThm[$key]) && $itemThm[$key] !== '')
                          <li><img class="dbr-image-thumb" src="{{ env('MEDIA_URL') . $itemThm[$key] }}" alt="product"></li>
                      @endif
                  @endforeach
              @empty
              @endforelse
          </ul>
        </div>
      </div>
      <div class="col-lg-6">
        <ul class="product-navigation">
          <li class="product-nav-prev">
            @if ($preItem)
              <a href="{{ route('item-details', $preItem[0]['C7'] ?: $preItem[0]['Id']) }}">
                  <i class="icofont-arrow-left"></i> prev product <span class="product-nav-popup">
                      <img src="{{ env('MEDIA_URL') . $preItem[0]['C1'] }}" alt="product">
                      <small>{{ $preItem[0]['C5'] }}</small> </span>
              </a>
            @endif
          </li>
          <li class="product-nav-next">
            @if ($nextItem)
              <a href="{{ route('item-details', $nextItem[0]['C7'] ?: $nextItem[0]['Id']) }}"> next product <i class="icofont-arrow-right"></i> <span class="product-nav-popup">
                      <img src="{{ env('MEDIA_URL') . $nextItem[0]['C1'] }}" alt="product">
                      <small>{{ $nextItem[0]['C5'] }}</small> </span>
              </a>
            @endif
          </li>
        </ul>

        <div class="details-content pb-0">
            <p class="details-sub-name text-blue dbr-brand-name">{{ $itemDetails['C6'] }}</p>
          <h3 class="details-name dbr-item-name"><a href="#">{{ $itemDetails['C5'] }}</a></h3>
          <div class="details-meta">
{{--            <p>SKU:<span>{{ $itemDetails['C4'] }}</span></p>--}}
{{--            <p>BRAND:<a href="#">{{ $itemDetails['C6'] }}</a></p>--}}
          </div>
            @if (! env('IS_INVITE_MALL') || session()->exists('member.is_member'))
          <h3 class="details-price">
            <span class="dbr-sales-price">{{ number_format($itemDetails['C7']) }} 원</span>
          </h3>
            <div class="cre_box">
            	<table>
                	<tr>
                    	<th>결제Type</th>
                        <th>사용가능 P2UP</th>
                        <th>잔액결제</th>
                        <th>단위</th>
                    </tr>
                    @if($shopPayMethodSetup['IsCrypto1'])
                        <tr>
                            <td class="td_head">MSQXP결제</td>
                            <td>{{ number_format($pointPayrate['crypto1']['p2up']) }}({{ $pointPayrate['crypto1']['p2up_percent'] }}%)</td>
                            <td>{{ number_format($pointPayrate['crypto1']['msqxp']) }}</td>
                            <td>MSQXP</td>
                        </tr>
                    @endif
                    @if($shopPayMethodSetup['IsCrypto2'])
                        <tr>
                            <td class="td_head">P2UP결제</td>
                            <td>{{ number_format($pointPayrate['crypto2']['p2up']) }}({{ $pointPayrate['crypto2']['p2up_percent'] }}%)</td>
                            <td>{{ number_format($pointPayrate['crypto2']['cash']) }}</td>
                            <td>원</td>
                        </tr>
                    @endif
                </table>
            </div>
            <form class="details-action-group form-prevent-multiple-submits mb-3" id="wish-list-form" action="{{ route('wish-list.favorite') }}" method="POST">
                @csrf
                <input type="hidden" name="item_id" value="{{ $itemDetails['Id'] }}">
                @if (request('raffle', '0') === '0')
                    @if (empty($itemDetails['BdPage']))
                        <button type="submit" class="button-prevent-multiple-submits details-wish wish w-100">
                            <i class="far fa-heart mr-2"></i>
                            찜하기
                        </button>
                    @else
                        <button type="submit" class="button-prevent-multiple-submits details-wish wish w-100">
                            <input type="hidden" name="_method" value="delete" />
                            <i class="fas fa-heart mr-2"></i>
                            찜삭제
                        </button>
                    @endif
                @endif
            </form>

            <div class="buy-option-area">
                <select v-if="opt1List" :class="opt1Class" class="dbr-option1" v-model="selectedOpt1" @change="selectOpt1">
                    <option value="" v-if="isSelfOption">옵션1</option>
                    <option value="" v-else>색상</option>
                    <option v-for="(opt, index) in opt1List" :value="opt['C1']">
                        @{{ opt['C1'] }}
                    </option>
                </select>

                <select v-if="opt2List" class="form-control mb-3 dbr-option2" v-model="selectedOpt2" @change="selectOpt2">
                    <option value="" v-if="isSelfOption">옵션2</option>
                    <option value="" v-else>사이즈</option>
                    <option v-for="(opt, index) in opt2List" v-if="!opt1List && opt2List" :value="opt['C1']">
                        @{{ opt['C1'] }}
                    </option>
                    <option v-for="(opt, index) in realOpt2List" v-if="opt1List && opt2List" :value="opt['C1']">
                        @{{ opt['C1'] }}
                    </option>
                </select>

                <div v-for="(item, index) in selectedItemList" class="d-flex align-items-center mx-2 mb-1">
                    <div class="col-4 px-0">@{{ item['SubName'] }}</div>
                    <div class="product-action col-4">
                        <button type="button" class="minus" title="Quantity Minus" @click="qtyMinusBtn(item)">
                            <i class="icofont-minus"></i>
                        </button>
                        <input class="action-input" title="Quantity Number" type="text" v-model="item['Qty']" @change="checkRangeQty(index)">
                        <button type="button" class="plus" title="Quantity Plus" @click="qtyPlusBtn(item)">
                            <i class="icofont-plus"></i>
                        </button>
                    </div>
                    <div class="d-flex justify-content-end align-items-center col px-0">
                        <div class="mr-2">@{{ format_decimal(getSalesPrc(Number(item['SalesPrc']), item['Qty']), 0) }}원</div>
                        <button v-if="isStyle === '1'" class="font-weight-bold text-danger" @click="deleteSelectedItem(item['Id'])">x</button>
                    </div>
                </div>

                <hr>

                <div class="mb-3 font-weight-bold d-flex justify-content-between mx-2">
                    <div>총 상품 금액</div>
                    <div class="dbr-total-price">@{{ total }}원</div>
                </div>
            </div>
{{--          <p class="details-desc mb-3">{{ $itemDetails['C6'] }}</p>--}}
            @endif
        </div>

          <div class="btn_group">
              {{--              <input type="hidden" name="item_id" value="{{ $itemDetails['Id'] }}">--}}
              {{--              <div class="details-action-group">--}}
              {{--                <a class="details-wish wish" href="/wish-list" title="Add Your Wishlist">--}}
              {{--                    <i class="icofont-heart"></i> <span>찜하기</span>--}}
              {{--                </a>--}}
              {{--              </div>--}}
              {{--              <div class="product-action">--}}
              {{--                  <button type="button" class="action-minus" title="Quantity Minus"><i class="icofont-minus"></i></button>--}}
              {{--                  <input class="action-input" id="item-qty-txt" title="Quantity Number" type="text" name="cart_qty" value="1">--}}
              {{--                  <button type="button"  class="action-plus" title="Quantity Plus"><i class="icofont-plus"></i></button>--}}
              {{--              </div>--}}
              @if (request('raffle', '0') === '0')
                  <div class="details-add-group">
                      <button type="button" class="product-add" title="Add to Cart" @click="addCart"> <i class="fas fa-shopping-basket"></i>
                          <span>
                          장바구니 담기
                      </span>
                      </button>
                  </div>
                  <button type="button" class="details-buy buy" title="구매하기" @click="purchase"> <i class="fas fa-check"></i>
                      <span>구매하기</span>
                  </button>
              @else
                  <button type="button" class="details-buy buy w-100" title="응모하기" @click="raffle"> <i class="fas fa-gift"></i>
                      <span>응모하기</span>
                  </button>
              @endif
          </div>

      </div>
    </div>
  </div>
</section>
<!--=====================================
                PRODUCT DETAILS PART END
        =======================================-->

<!--=====================================
                  PRODUCT TAB PART START
        =======================================-->
<section class="item_detail inner-section">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <ul class="nav nav-tabs">
            <li><a href="#tab-desc" class="tab-link active" data-bs-toggle="tab">상품상세</a></li>
            <li><a href="#tab-refund" class="tab-link" data-bs-toggle="tab">배송/교환/반품 안내</a></li>
{{--          <li><a href="#tab-spec" class="tab-link" data-bs-toggle="tab">Specifications</a></li>--}}
{{--          <li><a href="#tab-reve" class="tab-link" data-bs-toggle="tab">reviews (2)</a></li>--}}
        </ul>
      </div>
    </div>
    <div class="tab-pane fade show active" id="tab-desc">
      <div class="row">
        <div class="col-lg-12">
          <div class="product-details-frame">
            <div class="tab-descrip dbr-origin-desc">
                {!! $itemDetails['C8'] !!}
            </div>
          </div>
        </div>
      </div>
    </div>
      <div class="tab-pane fade" id="tab-refund">
          <div class="row">
              <div class="col-lg-12">
                  <div class="product-details-frame">
                      {!! $refund['C2'] ?? '' !!}
                  </div>
              </div>
          </div>
      </div>
    <div class="tab-pane fade" id="tab-spec">
      <div class="row">
        <div class="col-lg-12">
          <div class="product-details-frame">
            <table class="table table-bordered">
              <tbody>
                <tr>
                  <th scope="row">Product code</th>
                  <td>SKU: 101783</td>
                </tr>
                <tr>
                  <th scope="row">Weight</th>
                  <td>1kg, 2kg</td>
                </tr>
                <tr>
                  <th scope="row">Styles</th>
                  <td>@Girly</td>
                </tr>
                <tr>
                  <th scope="row">Properties</th>
                  <td>Short Dress</td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
    <div class="tab-pane fade" id="tab-reve">
      <div class="row">
        <div class="col-lg-12">
          <div class="product-details-frame">
            <ul class="review-list">
              <li class="review-item">
                <div class="review-media"> <a class="review-avatar" href="#"> <img src="{{ '/themes/pro/nawame/resources/images/avatar/01.jpg'}}" alt="review"> </a>
                  <h5 class="review-meta"> <a href="#">miron mahmud</a> <span>June 02, 2020</span> </h5>
                </div>
                <ul class="review-rating">
                  <li class="icofont-ui-rating"></li>
                  <li class="icofont-ui-rating"></li>
                  <li class="icofont-ui-rating"></li>
                  <li class="icofont-ui-rating"></li>
                  <li class="icofont-ui-rate-blank"></li>
                </ul>
                <p class="review-desc">Lorem ipsum dolor sit amet consectetur adipisicing elit. Ducimus hic amet qui velit, molestiae suscipit perferendis, autem doloremque blanditiis dolores nulla excepturi ea nobis!</p>
                <form class="review-reply">
                  <input type="text" placeholder="reply your thoughts">
                  <button type="button"><i class="icofont-reply"></i>reply</button>
                </form>
                <ul class="review-reply-list">
                  <li class="review-reply-item">
                    <div class="review-media"> <a class="review-avatar" href="#"> <img src="{{ '/themes/pro/nawame/resources/images/avatar/02.jpg'}}" alt="review"> </a>
                      <h5 class="review-meta"> <a href="#">labonno khan</a> <span><b>author -</b> June 02, 2020</span> </h5>
                    </div>
                    <p class="review-desc">Lorem ipsum dolor sit amet consectetur adipisicing elit. Ducimus hic amet qui velit, molestiae suscipit perferendis, autem doloremque blanditiis dolores nulla excepturi ea nobis!</p>
                    <form class="review-reply">
                      <input type="text" placeholder="reply your thoughts">
                      <button type="button"><i class="icofont-reply"></i>reply</button>
                    </form>
                  </li>
                  <li class="review-reply-item">
                    <div class="review-media"> <a class="review-avatar" href="#"> <img src="{{ '/themes/pro/nawame/resources/images/avatar/03.jpg'}}" alt="review"> </a>
                      <h5 class="review-meta"> <a href="#">tahmina bonny</a> <span>June 02, 2020</span> </h5>
                    </div>
                    <p class="review-desc">Lorem ipsum dolor sit amet consectetur adipisicing elit. Ducimus hic amet qui velit, molestiae suscipit perferendis, autem doloremque blanditiis dolores nulla excepturi ea nobis!</p>
                    <form class="review-reply">
                      <input type="text" placeholder="reply your thoughts">
                      <button type="button"><i class="icofont-reply"></i>reply</button>
                    </form>
                  </li>
                </ul>
              </li>
              <li class="review-item">
                <div class="review-media"> <a class="review-avatar" href="#"> <img src="{{ '/themes/pro/nawame/resources/images/avatar/04.jpg'}}" alt="review"> </a>
                  <h5 class="review-meta"> <a href="#">shipu shikdar</a> <span>June 02, 2020</span> </h5>
                </div>
                <ul class="review-rating">
                  <li class="icofont-ui-rating"></li>
                  <li class="icofont-ui-rating"></li>
                  <li class="icofont-ui-rating"></li>
                  <li class="icofont-ui-rating"></li>
                  <li class="icofont-ui-rate-blank"></li>
                </ul>
                <p class="review-desc">Lorem ipsum dolor sit amet consectetur adipisicing elit. Ducimus hic amet qui velit, molestiae suscipit perferendis, autem doloremque blanditiis dolores nulla excepturi ea nobis!</p>
                <form class="review-reply">
                  <input type="text" placeholder="reply your thoughts">
                  <button type="button"><i class="icofont-reply"></i>reply</button>
                </form>
              </li>
            </ul>
          </div>
          <div class="product-details-frame">
            <h3 class="frame-title">add your review</h3>
            <form class="review-form">
              <div class="row">
                <div class="col-lg-12">
                  <div class="star-rating">
                    <input type="radio" name="rating" id="star-1">
                    <label for="star-1"></label>
                    <input type="radio" name="rating" id="star-2">
                    <label for="star-2"></label>
                    <input type="radio" name="rating" id="star-3">
                    <label for="star-3"></label>
                    <input type="radio" name="rating" id="star-4">
                    <label for="star-4"></label>
                    <input type="radio" name="rating" id="star-5">
                    <label for="star-5"></label>
                  </div>
                </div>
                <div class="col-lg-12">
                  <div class="form-group">
                    <textarea class="form-control" placeholder="Describe"></textarea>
                  </div>
                </div>
                <div class="col-lg-6">
                  <div class="form-group">
                    <input type="text" class="form-control" placeholder="Name">
                  </div>
                </div>
                <div class="col-lg-6">
                  <div class="form-group">
                    <input type="email" class="form-control" placeholder="Email">
                  </div>
                </div>
                <div class="col-lg-12">
                  <button type="button" class="btn btn-inline"> <i class="icofont-water-drop"></i> <span>drop your review</span> </button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<!--=====================================
                    PRODUCT TAB PART END
        =======================================-->

<!--=====================================
                 PRODUCT RELATED PART START
        =======================================-->
<section class="detail_rel inner-section">
  <div class="container">
    <div class="row">
      <div class="col">
        <div class="section-heading">
          <h2>연관상품</h2>
        </div>
      </div>
    </div>
    <div class="row row-cols-2 row-cols-md-3 row-cols-lg-4 row-cols-xl-5">
    @forelse ($relatedItemGallery ?? [] as $item)
      <div class="col">
        <form class="product-card" action="{{ route('wish-list.favorite') }}" method="POST">
            @csrf
          <input type="hidden" name="item_id" value="{{ $item['HId'] }}">
          <div class="product-media">
            <div class="product-label d-flex flex-row">
                @forelse($item['BadgePage'] ?? [] as $badge)
                  <div class="mr-1">
                      <label class="label-text {{ $badge['C5'] }}">{{ $badge['C3'] }}</label>
                  </div>
                @empty
                @endforelse
            </div>
              @if (empty($item['BdPage']))
                  <button type="submit" class="product-wish wish">
                      <i class="far fa-heart"></i>
                  </button>
              @else
                  <button type="submit" class="product-wish wish">
                      <input type="hidden" name="_method" value="delete" />
                      <i class="fas fa-heart"></i>
                  </button>
              @endif
            <a class="product-image" href="{{ route('item-details', $item['C7']) }}"> <img src="{{ env('MEDIA_URL') . $item['C1'] }}" alt="product" onerror="this.src='/images/folder.jpg'"> </a>
          </div>
          <div class="product-content">
            <h6 class="product-name"> <a href="{{ route('item-details', $item['C7']) }}">{{ $item['C3'] }}</a> </h6>
              @if (! env('IS_INVITE_MALL') || session()->exists('member.is_member'))
                <h6 class="product-price">
                  <span>{{ number_format($item['C5']) }} 원</span>
                </h6>
              @endif
{{--            <button class="product-add" title="Add to Cart"> <i class="fas fa-shopping-basket"></i> <span>장바구니 담기</span> </button>--}}
          </div>
        </form>
      </div>
    @empty
    @endforelse
    </div>
  </div>
</section>
<!--=====================================
                 PRODUCT RELATED PART END
        =======================================-->

@endsection

@push('js')
    <script>
        var vm = new Vue({
            el: '#item-details',

            data: function () {
                return {
                    listType1Book: @json($listType1Book['Book']),
                    itemOptproPage: @json($itemOptproPage['Page']),
                    itemCode: '',
                    selectedItemList: [],
                    opt1List: [],
                    opt2List: [],
                    realOpt2List: [],
                    selectedOpt1: '',
                    selectedOpt2: '',
                    isStyle: '',
                    isSelfOption: '',
                    itemId: 0,
                    itemSlug: '',
                    giftCouponList: [],
                };
            },

            computed: {
                total: function() {
                    const total = this.selectedItemList.reduce((sum, item) => sum + Number(item['SalesPrc']) * item['Qty'], 0)
                    return format_decimal(total, 0);
                },

                opt1Class: function () {
                    return this.opt1List && this.opt2List ? 'form-control mb-2' : 'form-control mb-3'
                },
            },

            mounted() {
                gtag("event",  "view_item",  {
                    "items": [{
                        "item_id": "9bdd2",
                        "item_name": "Compton T-Shirt",
                        "price": "44.00",
                        "item_brand": "Compton",
                        "item_category": "T-Shirts",
                        "index": 0
                    }],
                    "currency": "USD"
                });

                $('#wish-list-form').on('submit', function (event) {
                    event.preventDefault()

                    $(this).append($('<input>', { 'type': 'hidden', 'name': 'wish_qty', 'value': $('#cart-form').find('#item-qty-txt').val() }))

                    this.submit()
                });

            },

            created() {
                this.opt1List = this.listType1Book[8]['Page']
                this.opt1List = isEmptyArr(this.opt1List) ? null : this.opt1List

                this.opt2List = this.listType1Book[9]['Page']
                this.opt2List = isEmptyArr(this.opt2List) ? null : this.opt2List

                this.giftCouponList = this.listType1Book[12]['Page']

                const itemDetails = this.listType1Book[0]['Page'][0]
                this.itemId = itemDetails['Id']
                this.itemSlug = itemDetails['C9']
                this.itemCode = itemDetails['C4']
                this.isStyle = itemDetails['C15']
                this.isSelfOption = itemDetails['C16'] === '1'

                if (this.isStyle === '0') {
                    this.selectedItemList.push({
                        Id: itemDetails['Id'],
                        SubName: itemDetails['C5'],
                        SalesPrc: itemDetails['C7'],
                        ItemSlug: itemDetails['C9'],
                        Qty: 1
                    })
                }
            },

            methods: {
                purchase: async function () {
                    const isCart = await this.addCart()
                    if (isCart) {
                        return location.href = "{{ route('checkout.index') }}"
                    }
                },

                addCart: async function () {
                    if (! check_login()) { return false }

                    if (this.selectedItemList.length < 1) {
                        iziToast.error({
                            title: 'Error', message: '상품을 선택해주세요',
                        })
                        return false
                    }

                    const cartResponse = await get_api_data('cart-page', {
                        PageVars: {
                            Query: `member_buyer_id = '${window.Member['MemberBuyerId']}'`,
                            Limit: 100000,
                            Offset: 0
                        }
                    })

                    const cartPage = cartResponse.data.Page ?? []

                    const cartActPage = this.selectedItemList.map(item => {
                        const cart = cartPage.filter(cart => cart['ItemId'] === item['Id'])
                        isEmptyArr(cart) ? item['CartId'] = 0 : item['CartId'] = cart[0]['Id']

                        // const cartAmt = this.getSalesPrc(Number(item['SalesPrc']), item['Qty'])
                        return {
                            Id: item['CartId'], ItemId: item['Id'], Checked: '1', MemberBuyerId: window.Member['MemberBuyerId'],
                            CartQty: String(item['Qty']),
                            GoDetailsId: Number(this.itemId), GoDetailsSlug: this.itemSlug
                        }
                    })

                    const response = await get_api_data('cart-act', {
                        Page: cartActPage
                    })

                    show_iziToast_msg(response.data.Page, async function () {
                        await headerPart.updateHeaderPart()
                        await update_cart_list(headerPart.headerPart['Book'][1]['Page'])

                        iziToast.success({
                            title: 'Success', message: '장바구니에 상품을 담았습니다',
                        })
                    })

                    return true
                },

                checkRangeQty: function (index) {
                    if (this.selectedItemList[index]['Qty'] < 1) {
                        this.selectedItemList[index]['Qty'] = 1
                    }
                },

                initSelectedOpts: function () {
                    this.selectedOpt1 = this.selectedOpt2 = ''
                    this.realOpt2List.splice(0)
                },

                selectedItem: async function () {
                    const itemOptproPick = await get_api_data('item-optpro-page', {
                        PageVars: {
                            Query: `item_id = ${this.itemId} and
                                self_color_name = '${this.selectedOpt1}' and
                                self_size_name = '${this.selectedOpt2}'`,
                            Limit: 1,
                            Offset: 0
                        }
                    })

                    const selectItemCode = this.itemCode + itemOptproPick['data']['Page'][0]['SelfOptionCode']
                    const overlap = this.selectedItemList.filter(item => item['ItemCode'] === selectItemCode)
                    if (! isEmptyArr(overlap)) {
                        this.initSelectedOpts()
                        return iziToast.error({
                            title: 'Error', message: '이미 선택한 옵션입니다',
                        })
                    }

                    const response = await get_api_data('item-page', {
                        PageVars: {
                            Query: `item_code = '${selectItemCode}'`,
                            Limit: 1,
                            Offset: 0
                        }
                    })

                    const page = response.data.Page
                    this.initSelectedOpts()
                    this.selectedItemList.push({...page[0], Qty: 1})
                },

                selectOpt1: function () {
                    // 색상 & 사이즈 둘다 존재
                    if (this.opt1List && this.opt2List) {
                        const itemOptproList = this.itemOptproPage.filter(optPro => optPro['SelfColorName'] === this.selectedOpt1)
                        this.realOpt2List = itemOptproList.map(optPro => {
                            return this.opt2List.filter(opt2 => opt2['C1'] === optPro['SelfSizeName'])[0]
                        })
                    } else if (this.opt1List) {
                        // 색상만 존재
                        this.selectedItem()
                    }
                },

                selectOpt2: function () {
                    if (isEmpty(this.selectedOpt2)) { return }

                    this.selectedItem()
                    // console.log(this.selectedItemList)
                },

                deleteSelectedItem: function (itemId) {
                    this.selectedItemList = this.selectedItemList.filter(item => item['Id'] !== itemId)
                },

                getSalesPrc: function (prc, qty) {
                    return prc * qty
                },

                qtyMinusBtn: function (item) {
                    if (item['Qty'] > 1 ) { item['Qty']-- }
                },

                qtyPlusBtn: function (item) {
                    item['Qty']++
                },

                raffle: function () {
                    const sel_item = this.giftCouponList.filter(item => item['Id'] === this.itemId)[0]
                    if (isEmpty(sel_item)) {
                        return iziToast.error({
                            title: 'Error', message: '응모 가능한 품목이 아닙니다',
                        });
                    }

                    const self = this
                    iziToast.question({
                        timeout: 20000,
                        close: false,
                        overlay: true,
                        displayMode: 'once',
                        id: 'question',
                        zindex: 999,
                        title: "경품응모",
                        message: "회원 아이디당 경품 한껀당 : 1개만 부여",
                        position: 'center',
                        buttons: [
                            [`<button><b>응모하기</b></button>`, function (instance, toast) {
                                instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                                self.submitEntry(sel_item)
                            }, true],
                            [`<button>취소</button>`, function (instance, toast) {
                                instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');

                            }],
                        ],
                    });
                },

                submitEntry: async function (item) {
                    if (isEmpty(window.Member)) {
                        return location.href = '{{ route('member-login') }}'
                    }

                    const unique_key = String(item['HId']) + String(item['Id']) + String(window.Member['MemberId'])

                    const post_pick = await get_api_data('post-pick', {
                        Page : [ { Pc10: unique_key } ]
                    })

                    if (isEmpty(post_pick.data.apiStatus)) {
                        return iziToast.error({
                            title: 'Error',
                            message: '이미 응모한 품목입니다',
                        });
                    }

                    const post_title = item['Id'] + '-' + moment(new Date()).format('YYYYMMDD') + '-' + rand(1, 99) + window.Member['MemberId']

                    const response = await get_api_data('post-act', {
                        Page : [
                            {
                                Id: 0,
                                PostTitle: post_title,
                                PostTypeId: 51,
                                Pc1: item['C2'],
                                Pc2: item['C3'],
                                Pc3: item['C4'],
                                Pc4: item['C5'],
                                Pc10: unique_key,
                                MemberId: window.Member['MemberId']
                            }
                        ]
                    })

                    show_iziToast_msg(response.data.Page, function () {
                        confirm('응모번호: ' + post_title)
                    })
                }

            },

        });
    </script>
@endpush
